Core - Task # 56632

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2014-03-07 Assigned To: Nicole Cordes
Updated: 2014-03-24 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: Make show_rechis.php mod.php dispatched

Description

Associated revisions

Revision 91187e10 - 2014-03-24 16:45 - Nicole Cordes

[TASK] Make show_rechis.php mod.php dispatched

The patch adds a new module for the record history view. All calls to
the show_rechis.php script are rewritten to use
BackendUstility::getModuleUrl() to ensure CSRF protection.

Resolves: #56632

Releases: 6.2

Change-Id: 12466¢c1b08afdd7d987ef38a29500f02641156¢c07
Reviewed-on: https://review.typo3.org/28205

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-03-09 23:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28205

#2 - 2014-03-09 23:44 - Nicole Cordes
- Status changed from Under Review to New

#3 - 2014-03-10 01:56 - Nicole Cordes
- Status changed from New to Under Review

#4 - 2014-03-21 14:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28205

#5 - 2014-03-24 15:55 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28205

#6 - 2014-03-24 16:44 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28205

#7 - 2014-03-24 17:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:91187e10eef76db3fb60525ddec5399158fb22f4.
